summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-25 12:53:05 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-25 12:53:05 +0000
commit83432b4e32e62647c4b3dbce2846bea7149ac9f0 (patch)
tree8f9db0682e88932134fe471de39d74bc82492a6f /dev-python
parent2bf8320f0a2c95e0b2a98bd4f54e2f4348f7d023 (diff)
downloadbaldeagleos-repo-83432b4e32e62647c4b3dbce2846bea7149ac9f0.tar.gz
baldeagleos-repo-83432b4e32e62647c4b3dbce2846bea7149ac9f0.tar.xz
baldeagleos-repo-83432b4e32e62647c4b3dbce2846bea7149ac9f0.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/blosc/Manifest1
-rw-r--r--dev-python/blosc/blosc-1.10.1.ebuild46
-rw-r--r--dev-python/graphviz/Manifest1
-rw-r--r--dev-python/graphviz/graphviz-0.16.ebuild34
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-5.43.4.ebuild64
-rw-r--r--dev-python/importlib_resources/Manifest1
-rw-r--r--dev-python/importlib_resources/importlib_resources-4.1.0.ebuild30
-rw-r--r--dev-python/ipywidgets/Manifest1
-rw-r--r--dev-python/ipywidgets/ipywidgets-7.6.0.ebuild26
-rw-r--r--dev-python/pycryptodome/pycryptodome-3.9.9-r1.ebuild2
-rw-r--r--dev-python/pygame/Manifest1
-rw-r--r--dev-python/pygame/pygame-2.0.1.ebuild89
-rw-r--r--dev-python/pytz/Manifest1
-rw-r--r--dev-python/pytz/files/pytz-2020.5-system-zoneinfo.patch33
-rw-r--r--dev-python/pytz/pytz-2020.5.ebuild32
-rw-r--r--dev-python/secretstorage/secretstorage-3.3.0.ebuild2
-rw-r--r--dev-python/sphinx/Manifest1
-rw-r--r--dev-python/sphinx/sphinx-3.4.1.ebuild128
-rw-r--r--dev-python/twine/Manifest1
-rw-r--r--dev-python/twine/twine-3.3.0.ebuild66
-rw-r--r--dev-python/xmlschema/Manifest1
-rw-r--r--dev-python/xmlschema/xmlschema-1.4.1.ebuild31
23 files changed, 591 insertions, 2 deletions
diff --git a/dev-python/blosc/Manifest b/dev-python/blosc/Manifest
index 4bb979ce2e59..9cbd9400b124 100644
--- a/dev-python/blosc/Manifest
+++ b/dev-python/blosc/Manifest
@@ -1,2 +1,3 @@
DIST blosc-1.10.0.tar.gz 845312 BLAKE2B 15f367f1420f56e64ec01e74d7320adc194db11d15bd26a2b78c59c88a6127f1d2b5fc7bd53e02a6d0cad785c87cf79bb909dec62982b5ee8620c92ccdd80249 SHA512 f071d131966acd74cf71f8688ae9830091ee12a92399e8736f2b2cc2243bc022f9fd194c60493e912aef87a54202813a67a8f9bddd90c1c44631205d58c3f3e3
+DIST blosc-1.10.1.tar.gz 858162 BLAKE2B 768ae6d438d9fe05589460dcaeea77dbf2e0212bbc67388c6df1b9fc6bd1921e8cd79da2039cd4300cd91923d7988f8c4741ea1dbd5ebfa13e48f3ade678ac09 SHA512 06e393efa3fc7060205a483787eb4c5befe75dfdd6321b37c43ed7830dccf4d622bd88451e97da663ed9dc9302c30d7486315de9aff6351721862e2eceddd9a3
DIST blosc-1.9.2.tar.gz 816897 BLAKE2B 7d1a2d925500c8ddb93975dd785c03b91dec2716a438915d5dfdb739c650de8a47ed80eb25fc55357e69b586c446c5af61212e0a4fba8158839a66849309f478 SHA512 a8f53afb7fb1bb742e2daa03015b636d4dbb1fd073be079022364ec67035c9e6ee372ab07f7ce06579b85d9fcaedd2a11f30b9cf5b2bd1d1ea62cf32a8aa3c1f
diff --git a/dev-python/blosc/blosc-1.10.1.ebuild b/dev-python/blosc/blosc-1.10.1.ebuild
new file mode 100644
index 000000000000..8d81ccad8ac8
--- /dev/null
+++ b/dev-python/blosc/blosc-1.10.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="High performance compressor optimized for binary data"
+HOMEPAGE="https://python-blosc.blosc.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=dev-libs/c-blosc-1.19.0:="
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-python/scikit-build[${PYTHON_USEDEP}]
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( ANNOUNCE.rst README.rst RELEASE_NOTES.rst )
+PATCHES=(
+ "${FILESDIR}"/blosc-1.10.0-unbundle.patch
+)
+
+python_prepare_all() {
+ export BLOSC_DIR="${EPREFIX}/usr"
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ "${EPYTHON}" -m blosc.test -v || die
+}
+
+python_install() {
+ distutils-r1_python_install
+ python_optimize
+}
diff --git a/dev-python/graphviz/Manifest b/dev-python/graphviz/Manifest
index 6678037fff9b..ff6c67433ce8 100644
--- a/dev-python/graphviz/Manifest
+++ b/dev-python/graphviz/Manifest
@@ -1 +1,2 @@
DIST graphviz-0.15.zip 183103 BLAKE2B 81d4a121ca2654e6c08570ede7a1f5ef580b6a281358bf32f4178898fc12cfae21b10ce8f4f6fba4644e3275162cc09dbf5ae287a114fb8503be98d6a2fbf728 SHA512 c2a77f0d52595a70b4f8ccd906907453b59622560f0ff84e267e874f5a1dc9a4b721192d236b0519ee7ec85bae9b225b9919ae51bcf599c93bd5816934afd6cc
+DIST graphviz-0.16.zip 193031 BLAKE2B abedbe170eaf9d3ad83f91b5ad13aa9fbda8669ac19ebbd1087aeab3f9401b0b8e6557313e04d791451ee501c75bc2843d89d1a0f789a219b0db771467b4b8bb SHA512 7896901decf712657d4cb16fad58eab8492e1476e60a32b1a7fa37ede2e9c47ed31c00b7dedcaafdee291e2cfe6b2e2affa352282665782829fd3fb2f30bdf92
diff --git a/dev-python/graphviz/graphviz-0.16.ebuild b/dev-python/graphviz/graphviz-0.16.ebuild
new file mode 100644
index 000000000000..66f39b6bbef2
--- /dev/null
+++ b/dev-python/graphviz/graphviz-0.16.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple Python interface for Graphviz"
+HOMEPAGE="https://graphviz.readthedocs.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+SLOT="0"
+
+RDEPEND="media-gfx/graphviz"
+BDEPEND="
+ app-arch/unzip
+ test? ( ${RDEPEND}
+ >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-1.8[${PYTHON_USEDEP}]
+ media-gfx/graphviz[gts,pdf]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e 's:--cov --cov-report=term --cov-report=html::' \
+ -i setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index b937816cb5a5..505f8057c23b 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -2,3 +2,4 @@ DIST hypothesis-python-5.24.4.tar.gz 9054743 BLAKE2B 5c64c86ed58d8f0e4a07390b1b1
DIST hypothesis-python-5.41.3.tar.gz 9095982 BLAKE2B 3a1b7052b3f71d1f8139101d16f2f74c2d434514a201b7e04e5452ac2c5fbe7288d592c0020769f3a48f73347cdce53f507ab65db7bfb4f3823d0f7997e48058 SHA512 974dee6040222fa55729257cea4e3c4c049625a2a5dfddbc12667dbd58dfe31718474ce8e9de81519e998c7a0c8ff01920e0aa2bca9fb7100754e985177f4b69
DIST hypothesis-python-5.41.5.tar.gz 9098660 BLAKE2B 6caa742d34a3a2aeb6c6fdec3f8772e5221e1d0b2becc1362b657d383387f2a1152756222cfe86ffbb3e23a53e395050a16325d74ec9e03822a5c0020505b38e SHA512 b220a48e5746bacc6fa257f79feed0dc2c0a9f66862aba74806fb1ac3d06f380620410c9c46c377c50e4fa7c3171d5b31ce2759e7a3e0e2abd0920b237242dd6
DIST hypothesis-python-5.43.3.tar.gz 9103991 BLAKE2B e374edf17571c33e48dc8d259db2fb23b9cc358f56189ebd60f3e9141ade7759eede1bdbd91d924f144a20b1ea0b7ec19817559b7f82a90f026ac101a7feeabd SHA512 392fb794fc5ba06acd1e465cf1500f742d8b056148540778f1ec9c5065be66c0f514f0fa6872337869079636c71235d51d4c6722a63b03037b689edd6f09809f
+DIST hypothesis-python-5.43.4.tar.gz 9104105 BLAKE2B 08b8c9ac7ac72afcc4556ae2167af7b4ab79d505da8c9f6a11c91d211f26ccf320c8f5ed41458f5e34f75614ad4aecdbf6df62275868dc079c037390dcbc9e08 SHA512 065e1bdd878eab35f38105e8da3f5cf108670a51fd48ea1996bebedf8c8a152386d0eb5284ed43d4e588695a408b3a455a2e4757430e31bb5dbf0ece1f64d294
diff --git a/dev-python/hypothesis/hypothesis-5.43.4.ebuild b/dev-python/hypothesis/hypothesis-5.43.4.ebuild
new file mode 100644
index 000000000000..2d51777ccb3f
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-5.43.4.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{6..9})
+ )
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ <dev-python/pytest-6.2[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+python_prepare() {
+ if ! use cli || [[ ${EPYTHON} != python* ]]; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing --via-root
+ pytest -vv tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/importlib_resources/Manifest b/dev-python/importlib_resources/Manifest
index 11343738c642..8ffc8cd6661b 100644
--- a/dev-python/importlib_resources/Manifest
+++ b/dev-python/importlib_resources/Manifest
@@ -2,3 +2,4 @@ DIST importlib_resources-1.5.0.tar.gz 23660 BLAKE2B aed7a2d730f945505083812355a6
DIST importlib_resources-3.3.0.tar.gz 29000 BLAKE2B 5fb87c6e15f01733567fef060607da0625d32e415e294cfd5db94fb26e13d257763f2d3795c19ee7d10fc1fdc579fc0c34a484d28aff32c20553d18fafc7b850 SHA512 1fc03c9d141a094ca6ae0acb9ff0668a3f3aa76b47ce2149691b1d85d37a3ba9d329dbafd8b94961c537a4982cea1bd3ee34bac069819c51d725208f45b24172
DIST importlib_resources-3.3.1.tar.gz 29012 BLAKE2B ff4fc6eb6dd1ff89b873076b2709bcd6ed10c51388646560eeb929e8cb8a000329260ff093929163045ba32c0d00b9f797f9e06b9524445b1ef052e8a82a7f87 SHA512 3b484169362b7d7062655668a2035a77440a2e2b81708d41e339b6007e8140162d85cfc14fca464b059a649fcda31ef9718a08cdd2cf7c8e588ba3fafc08bb59
DIST importlib_resources-4.0.0.tar.gz 27317 BLAKE2B 64cd01b650d82f2d3adf2a734a6da390073b190fbd8f8fd0a5be046931d78c93dcf16873477680fc14daadacdde629fcfd6f5d9cd89c7a5de56ba6c1ff4aad92 SHA512 0d5d175a814462db5bf29645f5d06e4cdff5c40ac1e022282690cba79e8f57885873956659952a086bdf7a1f3f7fbd78c1366030642ac8f6b40fa6df3056d6f1
+DIST importlib_resources-4.1.0.tar.gz 30814 BLAKE2B 50b6f9693df9ee21ae53f27f42a7aeb42e6f50ed305fa1004462bf189366b80d7dc48a40f77eafc41107de91f08015275a69e524421777a8d17e155cb867e943 SHA512 a42e4d66649b285489ea3bc0773761da19c05a03732492eefaaa008a0ddcf0696ceed380e296da9ff392529d681350ff045aeeec9cecbbafcd3bd15141920592
diff --git a/dev-python/importlib_resources/importlib_resources-4.1.0.ebuild b/dev-python/importlib_resources/importlib_resources-4.1.0.ebuild
new file mode 100644
index 000000000000..0f342f744d6e
--- /dev/null
+++ b/dev-python/importlib_resources/importlib_resources-4.1.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# This is a backport of Python 3.9's importlib.resources
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Read resources from Python packages"
+HOMEPAGE="https://github.com/python/importlib_resources"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/zipp[${PYTHON_USEDEP}]
+ ' pypy3 python3_{6,7})
+"
+BDEPEND="
+ dev-python/toml[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-3.4.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+distutils_enable_sphinx docs dev-python/rst-linker dev-python/jaraco-packaging
diff --git a/dev-python/ipywidgets/Manifest b/dev-python/ipywidgets/Manifest
index a50dd9207c01..deb0abea9c2f 100644
--- a/dev-python/ipywidgets/Manifest
+++ b/dev-python/ipywidgets/Manifest
@@ -1 +1,2 @@
DIST ipywidgets-7.5.1.tar.gz 5656334 BLAKE2B 8bd98f523b619bea02e01ae5faffb08040dc5011905dd69510728b02736e66444b3c3cdf1e7272884c1df97f610aff790063f783e1d0939786669ef39cd1fc94 SHA512 856b3e4dad331766eff6e5f1fd31984a4b6ede5c678ffd51a4896f6448dac53ba181ccec2821f10e07e0f1095318427affe19f1420d0337bc3d37ef1e0a9ea0d
+DIST ipywidgets-7.6.0.tar.gz 4066107 BLAKE2B 5e5f9f6fca1e554ef2b6157a493435148a9832c7f69ec1245e24828363e2a9a1edea804236beaff1f0870d3c7aa028d329e18bc7b1aade7b212110dda3be018a SHA512 eee04406d90f8cadab0208923d51679677b6f630417b69acd0382fcb69cf3d727e47e5abde071939f0b5f45b8b0e72d0bf9316e41508c2c0df7518bfb322db51
diff --git a/dev-python/ipywidgets/ipywidgets-7.6.0.ebuild b/dev-python/ipywidgets/ipywidgets-7.6.0.ebuild
new file mode 100644
index 000000000000..4c73e54656aa
--- /dev/null
+++ b/dev-python/ipywidgets/ipywidgets-7.6.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="https://ipywidgets.readthedocs.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/ipykernel-4.5.1[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-4.2.0[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/widgetsnbextension-3.5.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pycryptodome/pycryptodome-3.9.9-r1.ebuild b/dev-python/pycryptodome/pycryptodome-3.9.9-r1.ebuild
index a0914b677e29..44ebac433cfc 100644
--- a/dev-python/pycryptodome/pycryptodome-3.9.9-r1.ebuild
+++ b/dev-python/pycryptodome/pycryptodome-3.9.9-r1.ebuild
@@ -18,7 +18,7 @@ SRC_URI="
LICENSE="BSD-2 Unlicense"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
DEPEND="
diff --git a/dev-python/pygame/Manifest b/dev-python/pygame/Manifest
index f03c9588b084..938b4edaeb9d 100644
--- a/dev-python/pygame/Manifest
+++ b/dev-python/pygame/Manifest
@@ -1,3 +1,4 @@
DIST pygame-1.9.6.tar.gz 3223131 BLAKE2B a4d04c933fcad244d32bd512ef8717e60ec923f361e9e0296b5c7d57c5949d3434a040d028249c5b8f3c865ac3dcdbb32e6f0b223186678595a8625213ba2a17 SHA512 d923c554203a7c35e37921658cb4c5bf50215ab0ff4d2b869a1ee6b2e2ca31d66ec4bbde4287f5a777838ffe932cd15b993cb0224b86e43d684de61c35acbcd0
DIST pygame-2.0.0.dev10.tar.gz 5567274 BLAKE2B 7d78f260318cfabeb33f1073ae210f890d2f772e3ef302f243cca67724c6012355644ba60d4cae6de72db6dd61d320177deff6ee83dd355ec4cc33e841b565f7 SHA512 4cee7599fd8a6d31ddd66bfaad3bbb67cb167c1ae339f37e83322d810fea8746e81a191c224a0eeb6cc43a64bf1730ff0886c82f1a4f642e2e656ca9a837bf9e
DIST pygame-2.0.0.tar.gz 5522621 BLAKE2B 49773979af53595d3ff2db1a18e4bcd217e26db3ec28d6129d2a588f23a1bd5326fa79fab32c25aa796738cde0e68f5741bee58f62432e86f89cd49ee17a8f14 SHA512 3f65924d0e1d2863b84118a4e468b521a289e2cf174405c6f3ee2b2a2ed399cde7f9f310d57c4166351f84caaea02dd7408ee852dbcee7c205bb2955b6078fda
+DIST pygame-2.0.1.tar.gz 5536907 BLAKE2B b27cb9001499a00da62dac0486a72079ff4e60ca609be444b04f547cb2372090da91d2670307ce7068b964458e6ac1284402439bb7809c9735135d5e93a71d78 SHA512 1535a872c43e5f75acdfa7d325fcfa0f0f826e18602b28b228cfdbe068a382678c21568d80873f7af4f0b318e693adb38afa4d632f8294f716a47188abe5245a
diff --git a/dev-python/pygame/pygame-2.0.1.ebuild b/dev-python/pygame/pygame-2.0.1.ebuild
new file mode 100644
index 000000000000..42ea9436d6fe
--- /dev/null
+++ b/dev-python/pygame/pygame-2.0.1.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+MY_PV=${PV/_pre/.dev}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="Python bindings for SDL multimedia library"
+HOMEPAGE="https://www.pygame.org/"
+SRC_URI="
+ https://github.com/pygame/pygame/releases/download/${MY_PV}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc examples midi opengl test X"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]
+ media-libs/freetype
+ >=media-libs/sdl2-image-1.2.2
+ >=media-libs/sdl2-mixer-1.2.4
+ >=media-libs/sdl2-ttf-2.0.6
+ >=media-libs/smpeg2-0.4.4-r1
+ midi? ( media-libs/portmidi )
+ X? ( >=media-libs/libsdl2-1.2.5[opengl?,threads,video,X] )
+ !X? ( >=media-libs/libsdl2-1.2.5[threads] )"
+DEPEND="${RDEPEND}
+ test? (
+ media-libs/sdl2-image[gif,jpeg,png]
+ media-libs/sdl2-mixer[mp3,vorbis,wav]
+ )"
+# fontconfig used for fc-list
+RDEPEND+="
+ media-libs/fontconfig"
+# util-linux provides script
+BDEPEND="
+ test? (
+ media-libs/fontconfig
+ sys-apps/util-linux
+ )"
+
+src_prepare() {
+ if ! use midi; then
+ rm test/midi_test.py || die
+ fi
+ distutils-r1_src_prepare
+}
+
+python_configure() {
+ PORTMIDI_INC_PORTTIME=1 LOCALBASE="${EPREFIX}/usr" \
+ "${EPYTHON}" "${S}"/buildconfig/config.py -auto || die
+
+ # Disable automagic dependency on PortMidi.
+ if ! use midi; then
+ sed -e "s:^pypm :#&:" -i Setup || die "sed failed"
+ fi
+}
+
+python_test() {
+ local -x PYTHONPATH=${BUILD_DIR}/install/lib
+ local -x SDL_VIDEODRIVER=dummy
+ local -x SDL_AUDIODRIVER=disk
+ distutils_install_for_testing --via-root
+ script -eqc "${EPYTHON} -m pygame.tests" || die
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # Bug #497720
+ rm -fr "${D}"$(python_get_sitedir)/pygame/{docs,examples,tests}/ || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use doc; then
+ docinto html
+ dodoc -r docs/*
+ fi
+
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/pytz/Manifest b/dev-python/pytz/Manifest
index 403e47ba5dba..13d5040e6f8e 100644
--- a/dev-python/pytz/Manifest
+++ b/dev-python/pytz/Manifest
@@ -1 +1,2 @@
DIST pytz-2020.4.tar.gz 310941 BLAKE2B 8abe524ccb7ed676c64dbc129ade5d6562980ea28f8939a3a7a406acf16a8a936e79ff630bf37884610e8936dfe96311ecb752f3b79519a126e1f1ac48883842 SHA512 dcbe763bc6e48c52df855fe03a8109dc0656a0e851324c0468f4307e8aff60e577fe0c9f0b062319e90d2f639b96e98edf8346064705e244143386c863a0aa7c
+DIST pytz-2020.5.tar.gz 314194 BLAKE2B c374e0ee803878ad2dde1ef03c108f59f431d645d8067fb9f183b9feb029b4de283477e7f6c146a6d03462bd5cb4fc98118e03601c838f73903f5f7a7d28bf8f SHA512 0845c0b7cefb8732e3016568b17ae73232fe6537bac6da89cb1bf911ba5786ee1be6b5e3aa8767225291e3a7e9afd5b8e40e4051671a3a006f9e2f71c551e13e
diff --git a/dev-python/pytz/files/pytz-2020.5-system-zoneinfo.patch b/dev-python/pytz/files/pytz-2020.5-system-zoneinfo.patch
new file mode 100644
index 000000000000..94bad7e234ac
--- /dev/null
+++ b/dev-python/pytz/files/pytz-2020.5-system-zoneinfo.patch
@@ -0,0 +1,33 @@
+diff --git a/pytz/__init__.py b/pytz/__init__.py
+index a1f75b6..f2a2330 100644
+--- a/pytz/__init__.py
++++ b/pytz/__init__.py
+@@ -92,8 +92,7 @@ def open_resource(name):
+ if zoneinfo_dir is not None:
+ filename = os.path.join(zoneinfo_dir, *name_parts)
+ else:
+- filename = os.path.join(os.path.dirname(__file__),
+- 'zoneinfo', *name_parts)
++ filename = os.path.join('/usr/share/zoneinfo', *name_parts)
+ if not os.path.exists(filename):
+ # http://bugs.launchpad.net/bugs/383171 - we avoid using this
+ # unless absolutely necessary to help when a broken version of
+diff --git a/setup.py b/setup.py
+index e31ff2b..ba6926b 100644
+--- a/setup.py
++++ b/setup.py
+@@ -15,14 +15,8 @@ me = 'Stuart Bishop'
+ memail = 'stuart@stuartbishop.net'
+ packages = ['pytz']
+ resources = ['zone.tab', 'locales/pytz.pot']
+-for dirpath, dirnames, filenames in os.walk(os.path.join('pytz', 'zoneinfo')):
+- # remove the 'pytz' part of the path
+- basepath = dirpath.split(os.path.sep, 1)[1]
+- resources.extend([os.path.join(basepath, filename) for filename in filenames])
+ package_data = {'pytz': resources}
+
+-assert len(resources) > 10, 'zoneinfo files not found!'
+-
+ setup(
+ name='pytz',
+ version=pytz.VERSION,
diff --git a/dev-python/pytz/pytz-2020.5.ebuild b/dev-python/pytz/pytz-2020.5.ebuild
new file mode 100644
index 000000000000..6ab6fceaa6c6
--- /dev/null
+++ b/dev-python/pytz/pytz-2020.5.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="World timezone definitions for Python"
+HOMEPAGE="https://pythonhosted.org/pytz/ https://pypi.org/project/pytz/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
+IUSE=""
+
+RDEPEND="
+ || ( >=sys-libs/timezone-data-2017a sys-libs/glibc[vanilla] )"
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+PATCHES=(
+ # Use timezone-data zoneinfo.
+ "${FILESDIR}"/pytz-2020.5-system-zoneinfo.patch
+)
+
+python_test() {
+ "${EPYTHON}" pytz/tests/test_tzinfo.py -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/secretstorage/secretstorage-3.3.0.ebuild b/dev-python/secretstorage/secretstorage-3.3.0.ebuild
index 4fa986130d51..3bc2c0f92b13 100644
--- a/dev-python/secretstorage/secretstorage-3.3.0.ebuild
+++ b/dev-python/secretstorage/secretstorage-3.3.0.ebuild
@@ -16,7 +16,7 @@ S="${WORKDIR}/${MY_PN}-${PV}"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
RDEPEND="
dev-python/cryptography[${PYTHON_USEDEP}]
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index 6375b289f80d..6c72bd82791d 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -2,3 +2,4 @@ DIST Sphinx-2.4.4.tar.gz 5966973 BLAKE2B 727a75eb4ec33beadf80b22cdd8dda02a53f4da
DIST Sphinx-3.2.1.tar.gz 5970067 BLAKE2B 6158d31390c9b07aa3abcdc4eb7ed827cf2160192a2c53ad845f07d5027cc4bd65264ea1114e78e06f9652a8788a8d0e992a8988382787a05bf507a73618cd96 SHA512 3f0f49036a44938abd470c2f825a0eeeeb818daf3dfbb3bc5c746b64305b5fe66c1c34d9703eb9420b2b347247c122825ddae1b6c28c88c249206151f39e3bdb
DIST Sphinx-3.3.1.tar.gz 5979919 BLAKE2B 4eb9d8c9dccfd83690252ad6be05a3e69006e1e801bb0b37b77fb6ccf998f3a2fd99a90eba890cfb2baa5545ac0c2734fcd72d602fc2d1091e6754337f241b34 SHA512 bb1fb0780b741c0162ca014cb996dcdaac06985d14b6cc645a835679d7cf2680912784a815a027caf3fe902f721f9707bc9e9daaaf2c2d43051d31fe00584f78
DIST Sphinx-3.4.0.tar.gz 5996932 BLAKE2B 9765d076b7b4738c3d4676618c69d401c49c5f5994f0daf0d04d02ce8c74a8084242910a821333b9233636a195df801f978bf43fbd4d323ad7e9f3651ef33b6e SHA512 49fe0aea70c244416bd26141271074d0f04dd69a8fa37be6d3f6cc3e5e98d4b64fa83ac3bbb80b0b37e8ea05d06bcc5f9891ddc00682e1c3c14130f48a831971
+DIST Sphinx-3.4.1.tar.gz 5997545 BLAKE2B 18bca0e05f0226785f96d108b08ed8a41638f1ce1678578a16666cde66b1a3a1d2a8cafa0213157fbb6aa5f471a7e2e8154f47e9b1a0c1ba017d0a86145a19cb SHA512 feaf20046dc82ca94c1d80e90e232dd3d183830202ef48f51599a58e3a8f255d5d746293926757e326d9fe1bd43b62bd9c29c265ad83baa34a7631b5b3cbd7a0
diff --git a/dev-python/sphinx/sphinx-3.4.1.ebuild b/dev-python/sphinx/sphinx-3.4.1.ebuild
new file mode 100644
index 000000000000..7ae59b1e3113
--- /dev/null
+++ b/dev-python/sphinx/sphinx-3.4.1.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinx"
+SRC_URI="mirror://pypi/S/${PN^}/${P^}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
+IUSE="doc latex test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/alabaster-0.8[${PYTHON_USEDEP}]
+ dev-python/Babel[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/imagesize[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/snowballstemmer[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-htmlhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-serializinghtml[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typed-ast[${PYTHON_USEDEP}]
+ ' python3_{6,7})
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )"
+BDEPEND="
+ doc? (
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )
+ test? (
+ ${RDEPEND}
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ virtual/imagemagick-tools[jpeg,png,svg]
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )"
+
+S="${WORKDIR}/${P^}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.2.1-doc-link.patch"
+)
+
+python_prepare_all() {
+ # disable internet access
+ sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+ doc/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ # Generate the grammar. It will be caught by install somehow.
+ # Note that the tests usually do it for us. However, I don't want
+ # to trust USE=test really running all the tests, especially
+ # with FEATURES=test-fail-continue.
+ pushd "${BUILD_DIR}"/lib >/dev/null || die
+ "${EPYTHON}" -m sphinx.pycode.__init__ || die "Grammar generation failed."
+ popd >/dev/null || die
+}
+
+python_compile_all() {
+ if use doc; then
+ esetup.py build_sphinx
+ HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ fi
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+ local deselect=(
+ # these tests require Internet access
+ tests/test_build_latex.py::test_latex_images
+ tests/test_build_linkcheck.py::test_defaults
+ tests/test_build_linkcheck.py::test_defaults_json
+ tests/test_build_linkcheck.py::test_anchors_ignored
+ )
+ [[ ${EPYTHON} == pypy3 ]] && deselect+=(
+ tests/test_build_latex.py::test_latex_images
+ tests/test_ext_autodoc.py::test_autodoc_inherited_members_None
+ tests/test_ext_autodoc.py::test_automethod_for_builtin
+ tests/test_ext_autodoc.py::test_partialfunction
+ tests/test_ext_autodoc.py::test_autodoc_typed_instance_variables
+ tests/test_ext_autodoc.py::test_autodoc_typed_inherited_instance_variables
+ tests/test_ext_autodoc.py::test_cython
+ tests/test_ext_autodoc_autoclass.py::test_show_inheritance_for_subclass_of_generic_type
+ tests/test_ext_autodoc_autodata.py::test_autodata_type_comment
+ tests/test_ext_autodoc_autofunction.py::test_builtin_function
+ tests/test_ext_autodoc_autofunction.py::test_methoddescriptor
+ tests/test_ext_autodoc_configs.py::test_autodoc_typehints_signature
+ tests/test_ext_autodoc_configs.py::test_autodoc_type_aliases
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+ tests/test_pycode_parser.py::test_annotated_assignment_py36
+ )
+
+ pytest -vv ${deselect[@]/#/--deselect } ||
+ die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/twine/Manifest b/dev-python/twine/Manifest
index 5879478ddd52..03a73d81249c 100644
--- a/dev-python/twine/Manifest
+++ b/dev-python/twine/Manifest
@@ -1 +1,2 @@
DIST twine-3.2.0.tar.gz 145280 BLAKE2B b25fa984486a375e09705703a47994b529f6e5b48c6733c0a07b57bec6c0dfcdf4096d6ac6b0f9b7a7bfebfb32ea1cfb49c5de79f29495eb2a8fc59a5f8de4e5 SHA512 9959430913ea570d22f2d8b94e929af36b409b71691b3f66de8ddb77cfbfbe36590e21a6062db2a4a4f56ce2eb96984b0a474a93ea96b7734f53ada7a6411c28
+DIST twine-3.3.0.tar.gz 148996 BLAKE2B 60668acd0481534631ca0ecf3c755df7e9e46c6d183d0f1c73ed7467cfecc144878d6ccf7ef2ee62efa17eb5629f5ed74c77c8ae4d57ef16530fad31afe40d97 SHA512 94fc7a9b3f2b5fc7c06baf55debf4fd55f6a2b4c4321c9bff46b844166769ce8bdcab10355c4967998149b62e13b26e11a30ff66042bfdd5af24d448321fd291
diff --git a/dev-python/twine/twine-3.3.0.ebuild b/dev-python/twine/twine-3.3.0.ebuild
new file mode 100644
index 000000000000..19b87e711031
--- /dev/null
+++ b/dev-python/twine/twine-3.3.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of utilities for publishing packages on PyPI"
+HOMEPAGE="https://twine.readthedocs.io/ https://github.com/pypa/twine https://pypi.org/project/twine/"
+SRC_URI="https://github.com/pypa/twine/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/jaraco-envs[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+ dev-python/munch[${PYTHON_USEDEP}]
+ dev-python/portend[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pypiserver[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ >=dev-python/tqdm-4.14[${PYTHON_USEDEP}]
+ >=dev-python/pkginfo-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/readme_renderer-21.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-toolbelt-0.8.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/importlib_metadata[${PYTHON_USEDEP}]' python3_{6,7} pypy{,3})
+ >=dev-python/keyring-15.1[${PYTHON_USEDEP}]
+ >=dev-python/rfc3986-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4.3[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ # avoid a setuptools_scm dependency
+ sed -i "s:use_scm_version=True:version='${PV}',name='${PN//-/.}':" setup.py || die
+ sed -r -i "s:setuptools(_|-)scm[[:space:]]*([><=]{1,2}[[:space:]]*[0-9.a-zA-Z]+|)[[:space:]]*::" \
+ setup.cfg || die
+
+ # requires internet
+ sed -e 's:test_check_status_code_for_wrong_repo_url:_&:' \
+ -i tests/test_upload.py || die
+ rm -f tests/test_integration.py || die
+ # pytest-socket dep relevant only to test_integration, and upstream
+ # disables it anyway
+ sed -i -e '/--disable-socket/d' pytest.ini || die
+
+ sed -i -e '/--cov/d' pytest.ini || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/xmlschema/Manifest b/dev-python/xmlschema/Manifest
index 02fe786d1af3..21cf8f1376f8 100644
--- a/dev-python/xmlschema/Manifest
+++ b/dev-python/xmlschema/Manifest
@@ -1,3 +1,4 @@
DIST xmlschema-1.2.5.tar.gz 290750 BLAKE2B b6fb6722f1f9468cbae6507522c4398a7d0aff11918479b8e89e24986df2ad1ae4fe8640c5fe532319c6e7dbdb958d81df8cf81f1ceb18db09c406fc6a137219 SHA512 f821f041b7be483039746d7c7771117d4cac6189dd02a0f95235ea6597300dead39813b1ede9b6871fad93e50aa55f01f7da4e485c7074f66d78a76f1b57e7cf
DIST xmlschema-1.3.1.tar.gz 318853 BLAKE2B 1f2f960c5dad0c82a7ca0345bca052560d39f07b3fff9f443ec5d206a2ec92743462be2209e69a9330f432dbeb7e5908dae4168f7815cf64c141047876844453 SHA512 3bd2ba3004c1a397aff1c81c1105a603dd219f9c2c4afd0742aea3d7263dd0c50adbc05f4ccf96ad0a0f8bd5c116002152eba8194619e6bb636ef46111e6a2a4
DIST xmlschema-1.4.0.tar.gz 329087 BLAKE2B d41d66ee2f572d382aeac45369774caeb216aed8fdd679efa3fdc45ae81d4858e9c63cd17355b46f7378d0754a0307cc66d0f256c689a322a76d561b8c5d42f1 SHA512 572d317f92e6b881f8b95ae3fd6f663c947ff7f48d21f34e356b7fab91b167fe7557cd06bae9907804be95cdeaa7916418e8a4ea184aeae761e60cfb6016c2d1
+DIST xmlschema-1.4.1.tar.gz 329488 BLAKE2B 80125c6867facb8f94574f4aa210239057f6c8429ff52daac047457eaf6c836b051ccf8e0dec751c1bc57e4de7343781849fe88290117b8546ecd9b8ee99859a SHA512 935e4bffa5361e87fe0656c04b79fe50213098db86e18de38d82d9c04e45557b7ce9468379644c202ab25bdbd6f430bf85a639c3aa7636833d4bbe8533738e82
diff --git a/dev-python/xmlschema/xmlschema-1.4.1.ebuild b/dev-python/xmlschema/xmlschema-1.4.1.ebuild
new file mode 100644
index 000000000000..c4efac11ffbe
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-1.4.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="https://github.com/sissaschool/xmlschema https://pypi.org/project/xmlschema/"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/elementpath-2.0.2[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+ test? (
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ "${EPYTHON}" tests/test_all.py -v ||
+ die "Tests fail with ${EPYTHON}"
+}